S3: Distinguished Scientist
S2: Principal Scientist
S1: Senior Scientist
S0: Junior Scientist
E3: Distinguished Engineer
E2: Principal Engineer
E1: Senior Engineer
E0: Junior Engineer
M2: Principal Project Manager
M1: Senior Project Manager
M0: Junior Project Manager
I1: Graduate Intern
I0: Undergraduate Intern